<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmObject5 Interface
See Also Members Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : IEdmObject5 Interface

Visual Basic
C#
C++/CLI

Contains several properties and methods that are common to all derived interfaces.

NOTE: Click the Members link, located near the top of the topic, to see this interface's methods and properties.

# Syntax

Visual Basic |
--- | ---

    Public Interface IEdmObject5

C# |
--- | ---

    public interface IEdmObject5

C++/CLI |
--- | ---

    public interface class IEdmObject5

# Example

Get File References for a File (C#)
Get File References for a File (VB.NET)

# Remarks

Almost all objects that are stored in SOLIDWORKS PDM Professional's database inherit from this parent interface. See EmdObjectType for a list of all of the interfaces that inherit from IEdmObject5.

You can retrieve all objects inheriting from IEdmObject5 using IEdmVault5::GetObject if you know the type and the database ID.

This interface inherits from IDispatch. See IDispatch Interface (Automation).

# Accessors

IEdmVault5::GetObject

# See Also

####

IEdmObject5 Members
EPDM.Interop.epdm Namespace